Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\API\Repository\Values\URL\Query\SortClause Class Reference

This class is the base for SortClause classes, used to set sorting of URL queries. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\URL\Query\SortClause:

## Public Member Functions
| __construct ($sortTarget, $sortDirection)
| Constructs a new SortClause on $sortTarget in direction $sortDirection. More...

## Public Attributes
const | SORT_ASC = 'ascending'
const | SORT_DESC = 'descending'
| $direction = self::SORT_ASC
| $target

## Detailed Description

This class is the base for SortClause classes, used to set sorting of URL queries.

Definition at line 14 of file URL/Query/SortClause.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\URL\Query\SortClause::__construct | ( |  | $sortTarget,
|  |  | $sortDirection
| ) |  |

Constructs a new SortClause on $sortTarget in direction $sortDirection.

Parameters

  string | $sortTarget |
  string | $sortDirection | one of SortClause::SORT_ASC or SortClause::SORT_DESC

Exceptions

  InvalidArgumentException | if the given sort order isn't one of SortClause::SORT_ASC or SortClause::SORT_DESC

Definition at line 41 of file URL/Query/SortClause.php.

## Member Data Documentation

## ◆ $direction

eZ\Publish\API\Repository\Values\URL\Query\SortClause::$direction = self::SORT_ASC

Definition at line 24 of file URL/Query/SortClause.php.

## ◆ $target

eZ\Publish\API\Repository\Values\URL\Query\SortClause::$target

Definition at line 31 of file URL/Query/SortClause.php.

## ◆ SORT_ASC

const eZ\Publish\API\Repository\Values\URL\Query\SortClause::SORT_ASC = 'ascending'

Definition at line 16 of file URL/Query/SortClause.php.

## ◆ SORT_DESC

const eZ\Publish\API\Repository\Values\URL\Query\SortClause::SORT_DESC = 'descending'

Definition at line 17 of file URL/Query/SortClause.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\find().

The documentation for this class was generated from the following file:

- URL/Query/SortClause.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.